# flopc::Handle< T > Class Template Reference
[Internal (private) interface.]

Utility for doing reference counted pointers. More...

`#include <MP_utilities.hpp>`

Inheritance diagram for flopc::Handle< T >:
[legend]
Collaboration diagram for flopc::Handle< T >:
[legend]

List of all members.

## Public Member Functions
const T & | operator-> () const
| Handle (const T &r)
| Handle (const Handle &h)
const Handle & | operator= (const Handle &h)
| ~Handle ()
## Protected Member Functions
void | increment ()
void | decrement ()
## Private Member Functions
| Handle ()
## Private Attributes
T | root

## Detailed Description

### template<class T>
class flopc::Handle< T >

Utility for doing reference counted pointers.

Definition at line 105 of file MP_utilities.hpp.

## Constructor & Destructor Documentation

template<class T>

flopc::Handle< T >::Handle | ( | const T & | r | ) | `[inline]`

Definition at line 110 of file MP_utilities.hpp.

template<class T>

flopc::Handle< T >::Handle | ( | const Handle< T > & | h | ) | `[inline]`

Definition at line 113 of file MP_utilities.hpp.

template<class T>

flopc::Handle< T >::~Handle | ( |  | ) | `[inline]`

Definition at line 124 of file MP_utilities.hpp.

template<class T>

flopc::Handle< T >::Handle | ( |  | ) | `[inline, private]`

Definition at line 146 of file MP_utilities.hpp.

## Member Function Documentation

template<class T>

const T& flopc::Handle< T >::operator-> | ( |  | ) | const`[inline]`

Definition at line 107 of file MP_utilities.hpp.

template<class T>

const Handle& flopc::Handle< T >::operator= | ( | const Handle< T > & | h | ) | `[inline]`

Definition at line 116 of file MP_utilities.hpp.

template<class T>

void flopc::Handle< T >::increment | ( |  | ) | `[inline, protected]`

Definition at line 128 of file MP_utilities.hpp.

template<class T>

void flopc::Handle< T >::decrement | ( |  | ) | `[inline, protected]`

if(root->count != 0) {

}

Definition at line 133 of file MP_utilities.hpp.

## Member Data Documentation

template<class T>

T flopc::Handle< T >::root`[private]`

Definition at line 147 of file MP_utilities.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_utilities.hpp